Page MenuHomePhabricator

Do not rewrite the URL while loading
Closed, ResolvedPublic3 Story Points

Description

Reported by [[de:User:XanonymusX]] with this edit.

While loading the Revision Slider the URL the diff is rewritten from

https://de.wikipedia.org/w/index.php?title=Wikipedia:Fragen_zur_Wikipedia&curid=6977098&diff=156602018&oldid=156601953

to

https://de.wikipedia.org/w/index.php?diff=156602018&oldid=156601953

Therefore the browser history is increased by the rewritten URL and going back per browser needs 2 clicks instead of 1 as usual.

Event Timeline

Raymond created this task.Jul 31 2016, 6:42 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 31 2016, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Zppix added a subscriber: Zppix.Jul 31 2016, 6:46 PM

I suggest making the second one the direct link and remove the need for the first one overall or vice versa... I don't even see the need of why we needed to diff link types in the first place... I've noticed in the past but now that this task has been made its been brought to my intention that it was infact a bug/uneeded and not intended (i hope).

Change 302135 had a related patch set uploaded (by Addshore):
Use history.replaceState on initial load

https://gerrit.wikimedia.org/r/302135

Addshore triaged this task as Normal priority.
Addshore added a project: User-Addshore.
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.
Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.
Addshore set the point value for this task to 3.
Addshore moved this task from Proposed to Review on the TCB-Team-Sprint-2016-07-14 board.
Addshore moved this task from Incoming to Doing on the Revision-Slider board.Jul 31 2016, 7:27 PM

Change 302135 merged by jenkins-bot:
Use history.replaceState on initial load

https://gerrit.wikimedia.org/r/302135

Addshore closed this task as Resolved.Aug 2 2016, 9:49 AM

Will be deployed this week.

Addshore moved this task from Doing to Done on the Revision-Slider board.Aug 3 2016, 5:13 PM